Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class VersionSeriesDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.VersionSeriesDefinition

public class VersionSeriesDefinition
extends PublicObjectDefinition

The VersionSeriesDefinition class is used construct a VersionSeries object. The default class for this definition is VERSIONSERIES

Constructor Summary
`VersionSeriesDefinition(LibrarySession session)` Constructs a VersionSeriesDefinition explicitly capturing the session.

Method Summary
`FamilyDefinition` | `getFamilyDefinition()` Get the Family definition for the new PublicObject.
`void` | `setFamilyDefinition(FamilyDefinition def)` Set the Family definition for the new PublicObject.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### VersionSeriesDefinition

    public VersionSeriesDefinition(LibrarySession session)
                            throws IfsException

  Constructs a VersionSeriesDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setFamilyDefinition

    public void setFamilyDefinition(FamilyDefinition def)
                             throws IfsException

  Set the Family definition for the new PublicObject. When creating a new Versioned object (from a VersionDescriptionDefinition), both a Family and a VersionSeries are also created. To specify attributes (such as sub-class) on the Family that will be created, you can specify a FamilyDefinition here. If you do not specify a Family Definition, a default one is created for you (when appropriate).
  Parameters:
    `def` - the Family definition for the new object.
  Throws:
    `IfsException` - if operation fails.

### getFamilyDefinition

    public FamilyDefinition getFamilyDefinition()
                                         throws IfsException

  Get the Family definition for the new PublicObject. Return null if no value was specified.
  Returns:
    Family definition for the new object.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD